import React from "react";
import classes from "../assets/styles/components/checkModal.module.scss";
import MyButton from "./MyButton.jsx";

const CheckModal = ({postfix, message, action}) => {

    return (
        <div class="modal fade" tabindex="-1" id={`checkModal${postfix}`} tabIndex="-1" aria-labelledby="exampleModalLabel" data-bs-backdrop="static" aria-hidden="true">
            <div class="modal-dialog">
                <div class="modal-content">
                    <div class="modal-header">
                        {/* <h5 class="modal-title">Modal title</h5> */}
                        <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close" onClick={action.cancel}></button>
                    </div>
                    <div class="modal-body">
                        <p>{message}</p>
                    </div>
                    <div class="modal-footer">
                        <MyButton text={"Отмена"} dismiss={"modal"} class={"main__white"} click={action.cancel}/>
                        <MyButton 
                            text={"Да, удалить"} 
                            backgroundColor={"rgb(229, 87, 87)"} 
                            otherStyle={{color: "white"}}
                            dismiss={"modal"}
                            click={action.execute}
                        />
                    </div>
                </div>
            </div>
        </div>
    )
}

export default CheckModal;