import axios from "axios";


async function createArticleApi(token, data) {
    try {
        const response = await axios.post(`https://api.minerva.krbl.ru/articles/new`,
        {
            "tags": [],
            "title": "Новая статья"
        },
        {
            headers: {
                "Authorization": `Token ${token}`
            }
        })
        return response
    }
    catch (e) {
        return e
    }
};


async function getListArticlesApi(token) {
    try {
        const response = await axios.get(`https://api.minerva.krbl.ru/articles/list`,
        {
            headers: {
                "Authorization": `Token ${token}`
            }
        })
        return response
    }
    catch (e) {
        return e
    }
};


async function getArticleApi(token, articleId) {
    try {
        const response = await axios.get(`https://api.minerva.krbl.ru/articles/${articleId}/view`,
        {
            headers: {
                "Authorization": `Token ${token}`
            }
        })
        return response
    }
    catch (e) {
        return e
    }
};


async function editTagsApi(token, articleId, tags, flag) {
    try {
        const response = await axios.post(`https://api.minerva.krbl.ru/articles/edit/${articleId}/tags`,
        {
            "delete_flag": flag,
            "tags": tags,
        },
        {
            headers: {
                "Authorization": `Token ${token}`
            }
        })
        return response
    }
    catch (e) {
        return e
    }
};


async function editTitleArticleApi(token, articleId, title) {
    console.log('set')
    try {
        const response = await axios.post(`https://api.minerva.krbl.ru/articles/edit/${articleId}/setTitle`,
        {
            "title": title,
        },
        {
            headers: {
                "Authorization": `Token ${token}`
            }
        })
        return response
    }
    catch (e) {
        return e
    }
};


async function addArticleApi(token, articleId, content) {
    console.log('add')
    try {
        const response = await axios.post(`https://api.minerva.krbl.ru/articles/edit/${articleId}/add`,
        {
            "data": content,
        },
        {
            headers: {
                "Authorization": `Token ${token}`
            }
        })
        return response
    }
    catch (e) {
        return e
    }
};


async function editArticleApi(token, articleId, content) {
    try {
        const response = await axios.post(`https://api.minerva.krbl.ru/articles/edit/${articleId}/set`,
        {
            "order": 0,
            "data": content,
        },
        {
            headers: {
                "Authorization": `Token ${token}`
            }
        })
        return response
    }
    catch (e) {
        return e
    }
};


export {
    createArticleApi,
    getArticleApi,
    getListArticlesApi,
    editTagsApi,
    editTitleArticleApi,
    addArticleApi,
    editArticleApi
}