import React from 'react';
import { createBrowserRouter } from "react-router-dom";
import Forms from '../pages/Forms.jsx';
import EnterAccount from "../pages/EnterAccount.jsx";
import NewForm from '../pages/NewForm.jsx';
import Home from "../pages/Home.jsx";
import App from "../App.jsx";
import Profile from "../pages/Profile.jsx";
import ViewForm from "../pages/ViewForm.jsx";
import AdminPanel from '../pages/AdminPanel.jsx';
import AnswersForm from '../pages/AnswersForm.jsx';
import TokensForm from '../pages/TokensForm.jsx';
import Articles from '../pages/Articles.jsx';
import NewArticle from '../pages/NewArticle.jsx';
import ViewArticle from '../pages/ViewArticle.jsx';

const router = createBrowserRouter([
    {
        element: <App/>,
        children: [
            {
                path: "/",
                element: <Home/>,
            },
            {
                path: "/forms",
                element: <Forms/>,
            },
            {
                path: "/forms/:formId/edit",
                element: <NewForm/>
            },
            {
                path: "/enter",
                element: <EnterAccount/>
            },
            {
                path: "/profile",
                element: <Profile/>
            },
            {
                path: "/forms/:formId",
                element: <ViewForm/>
            },
            {
                path: "/admin",
                element: <AdminPanel/>
            },
            {
                path: "/forms/:formId/answers",
                element: <AnswersForm/>
            },
            {
                path: "/tokens/:formId",
                element: <TokensForm/>
            },
            {
                path: "/articles",
                element: <Articles/>
            },
            {
                path: "/articles/:articleId/edit",
                element: <NewArticle/>
            },
            {
                path: "/articles/:articleId/",
                element: <ViewArticle/>
            }
        ]
    }
    
]);

export default router